Loading...
Searching...
No Matches
Crypto and Hashing
libavutil

## Modules

| AES
| AES-CTR
| Base64
| Blowfish
| CAST5
| CAMELLIA
| DES
| Hash Functions
| Hash functions useful in multimedia.
| HMAC
| LZO
| RC4
| TWOFISH
| XTEA
| TEA

## Functions

uint32_t | av_get_random_seed (void)
| Get a seed to use in conjunction with random functions.
int | av_random_bytes (uint8_t *buf, size_t len)
| Generate cryptographically secure random data, i.e.

## Detailed Description

## Function Documentation

## av_get_random_seed()

uint32_t av_get_random_seed | ( | void |  | ) |

Get a seed to use in conjunction with random functions.

This function tries to provide a good seed at a best effort bases. Its possible to call this function multiple times if more bits are needed. It can be quite slow, which is why it should only be used as seed for a faster PRNG. The quality of the seed depends on the platform.

## av_random_bytes()

int av_random_bytes | ( | uint8_t * | buf,
|  | size_t | len
| ) |  |

Generate cryptographically secure random data, i.e.

suitable for use as encryption keys and similar.

Parameters

  buf | buffer into which the random data will be written
  len | size of buf in bytes

Return values

  0 | success, len bytes of random data was written into buf
  a negative AVERROR code | random data could not be generated